Skip to main content
Resource Center/Network Resource/Route Resource Operations/vRouter Route Table Operations
GETvRouter Route Table OperationsSince 2.1SynchronousAuth Required

QueryVRouterRouteEntry

QueryVRouterRouteEntry

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • descriptionStringRequired

      The detailed description of the resource.

    • typeStringRequired

      The type. You can add two types of routes: static route and black hole route. The system will automatically determine the type by judging whether to enter the next hop.

    • routeTableUuidStringRequired

      The vRouter route table UUID.

    • destinationStringRequired

      The destination network address.

    • targetStringRequired

      The next hop address. The IP address that can be accessed directly by vRouter VM instances. If the IP address cannot be accessed directly, the route recursion will be triggered.

    • distanceIntegerRequired

      The route priority. In the minimum match mode, if multiple route rules are available, the rule with the lowest integer has the highest priority to be matched.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/vrouter-route-tables/route-entries

/zstack/v1/vrouter-route-tables/route-entries

Operation ID

QueryVRouterRouteEntry

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vrouter-route-tables/route-entries' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "description": "Test route", "type": "UserStatic", "routeTableUuid": "4b9b27aa14794f3c98f23818d8a4b281", "destination": "192.168.2.0/24", "target": "172.20.1.1" } ] }

Change History

This API has no change history records yet.

View all change history